### Index

* [0 - Language Agnostic](#0---language-agnostic)
  * [Open Source Ecosystem](#open-source-ecosystem)
  * [Облачные Вычисления](#Облачные-вычисления)
  * [Парадигмы Программирования](#Парадигмы-программирования)
  * [Работа c cетью](#Работа-с-сетью)
  * [Управление конфигурациями](#Управление-конфигурациями)
* [Angular](#angular)
* [Assembly](#assembly)
* [Bash](#bash)
* [C](#c)
* [C#](#c-sharp)
* [C++](#c-1)
* [Clojure](#clojure)
* [CoffeeScript](#coffeescript)
* [Elasticsearch](#elasticsearch)
* [Elixir](#elixir)
* [Erlang](#erlang)
* [Git](#git)
* [Go](#go)
* [Haskell](#haskell)
* [HTML / CSS](#html--css)
  * [Bootstrap](#bootstrap)
* [Java](#java)
  * [Android](#android)
  * [EasyMock](#easymock)
  * [Hibernate](#hibernate)
  * [JDBC](#jdbc)
  * [JUnit](#junit)
  * [Maven](#maven)
  * [Spring](#spring)
* [JavaScript](#javascript)
  * [AngularJS](#angularjs)
  * [jQuery](#jquery)
  * [Node.js](#nodejs)
  * [nuxt.js](#nuxtjs)
  * [React](#react)
  * [vue.js](#vuejs)
* [Kotlin](#kotlin)
* [LaTeX](#latex)
* [Lisp](#lisp)
* [MetaPost](#metapost)
* [.NET](#net)
* [NoSQL](#nosql)
* [Objective-C](#objective-c)
* [Perl](#perl)
* [PHP](#php)
  * [CakePHP](#cakephp)
  * [CodeIgniter](#codeigniter)
  * [Laravel](#laravel)
  * [Symfony](#symfony)
* [Python](#python)
  * [Django](#django)
* [R](#r)
* [Reverse engineering](#reverse-engineering)
* [Ruby](#ruby)
  * [RSpec](#rspec)
  * [Ruby on Rails](#ruby-on-rails)
* [Rust](#rust)
* [Scala](#scala)
* [Scilab](#scilab)
* [Scratch](#scratch)
* [Smalltalk](#smalltalk)
* [SQL](#sql)
  * [PostgreSQL](#postgresql)
* [Swift](#swift)
* [TypeScript](#typescript)
* [Unix](#unix)
* [Vim](#vim)


### 0 - Language Agnostic

* [3D-моделирование в Blender](https://younglinux.info/blender.php) - C. Шапошникова
* [E-maxx.ru: Сборник алгоритмов с примерами на C++](http://e-maxx.ru/upload/e-maxx_algo.pdf) (PDF)
* [Scrum и XP: заметки с передовой](http://scrum.org.ua/wp-content/uploads/2008/12/scrum_xp-from-the-trenches-rus-final.pdf) (PDF)
* [Введение в структуры и алгоритмы обработки данных](http://dsabook.mkurnosov.net) - Михаил Курносов (PDF)
* [Занимательное программирование. Самоучитель](http://padabum.com/x.php?id=35055) - Мозговой М.В. (PDF)
* [Операционные системы](https://vseloved.github.io/pdf/os-ru.pdf) - Всеволод Дёмкин (PDF)
* [Параллельные технологии](http://www.inp.nsk.su/~baldin/Parallel/index.html)
* [Программирование: введение в профессию](http://stolyarov.info/books/programming_intro) - Столяров Андрей Викторович (:construction: *в процессе написания*) (PDF)
* [Руководство по HTTP](http://proselyte.net/tutorials/http-tutorial) - Евгений Сулейманов
* [Руководство по SOAP](http://proselyte.net/tutorials/soap-tutorial) - Евгений Сулейманов
* [Структура и интерпретация компьютерных программ](http://newstar.rinet.ru/~goga/sicp/sicp-ru-screen.pdf) - Гарольд Абельсон, Джералд Джей Сассман (PDF)
* [Тестирование программного обеспечения. Базовый курс.](http://svyatoslav.biz/software_testing_book/) - Святослав Куликов (PDF)
* [Эффективные алгоритмы и сложность вычислений](http://discopal.ispras.ru/Ru.book-advanced-algorithms.htm) - Кузюрин Н.Н., Фомин С.А.


#### Работа с сетью

* [IPv6 для знатоков IPv4](https://sites.google.com/site/yartikhiy/home/ipv6book) - Ярослав Тихий (PDF, HTML, EPUB)
* [Наука о Сетях](http://networksciencebook.com) - Альберто Лазло-Барабаси
* [Разъяснение HTTP2](https://github.com/vlet/http2-explained/blob/master/http2.ru.pdf?raw=true) - Даниэль Штенберг (PDF)


#### Open Source Ecosystem

* [Архитектура приложений с открытым исходным кодом](http://rus-linux.net/MyLDP/BOOKS/Architecture-Open-Source-Applications/index.html)


#### Облачные вычисления

* [Разработка мультитенантных приложений для облака, издание 3-е](http://www.microsoft.com/ru-ru/download/details.aspx?id=29263)


#### Парадигмы программирования

* [Введение в функциональное программирование](http://funprog-ru.github.io) - John Harrison
* [Практика функционального программирования](http://fprog.ru) - журнал


#### Управление конфигурациями

* [Пособие по Ansible](https://github.com/freetonik/ansible-tuto-rus) - Michel Blanc


#### Angular

* [Angular 5. Полное руководство](https://bxnotes.ru/conspect/angular-5-the-complete-guide/) - Maximilian Schwarzmüller
* [Руководство по Angular](https://metanit.com/web/angular2) - Евгений Попов


### Assembly

* [Ассемблер в Linux для программистов C](https://ru.wikibooks.org/wiki/Ассемблер_в_Linux_для_программистов_C) - Викиучебник
* [Ассемблер для чайников](http://av-assembler.ru/asm/afd/assembler-for-dummy.htm)
* [Микропроцессоры и вычислительные комплексы семейства "Эльбрус"](http://www.mcst.ru/doc/book_121130.pdf) (PDF)
* [Программирование на языке ассемблера NASM для ОС Unix](http://www.stolyarov.info/books/pdf/nasm_unix.pdf) - Андрей Столяров (PDF)


### Bash

* [Advanced Bash-Scripting Guide](http://rus-linux.net/MyLDP/BOOKS/abs-guide/flat/abs-book.html)


### C

* [Заметки о языке программирования Си/Си++](https://yurichev.com/writings/C-notes-ru.pdf) - Денис Юричев (PDF)
* [Сетевое программирование от Биджа - Использование Интернет Сокетов](http://beej.us/guide/bgnet/translations/bgnet_A4_rus.pdf) - B. Hall, Перевод Андрея Косенко (PDF)
* [Краткое руководство Beej к GDB](https://paintingvalley.com/ru-bggdb) - (HTML)
* [Особенности языка C. Учебное пособие](https://younglinux.info/с) - C. Шапошникова (PDF)
* [Разработка сетевых приложений](http://zed.karelia.ru/mmedia/docs/nets.pdf) (PDF)
* [Руководство по языку программирования C](https://metanit.com/cpp/c) - Евгений Попов
* [Си/Си++. От дилетанта до профессионала](http://ermak.cs.nstu.ru/cprog/html) - Романов Е.Л.
* [Язык Си в примерах](https://ru.wikibooks.org/wiki/Язык_Си_в_примерах) - Викиучебник


### C Sharp

* [Design Patterns via C#](http://itvdn.com/ru/patterns) - Александр Шевчук, Дмитрий Охрименко, Андрей Касьянов (PDF) *(Требуется аккаунт)*
* [Паттерны проектирования в C# и .NET](https://metanit.com/sharp/patterns) - Евгений Попов
* [Полное руководство по языку программирования С# 7.0 и платформе .NET 4.7](https://metanit.com/sharp/tutorial) - Евгений Попов
* [Сетевое программирование в С# и .NET](https://metanit.com/sharp/net) - Евгений Попов


### C++

* [Введение в язык программирования С++](http://lib.ru/CPPHB/cpptut.txt_with-big-pictures.html) - Бьерн Страуструп
* [Введение в язык Си++](http://stolyarov.info/books/cppintro) - Андрей Столяров (PDF)
* [Вводный курс по объектно-ориентированному программированию на языке Си++](http://ru.wikibooks.org/wiki/Си-плюс-плюс) - Викиучебник
* [Руководство по языку программирования C++](https://metanit.com/cpp/tutorial) - Евгений Попов
* [Справочное руководство по C++](http://lib.ru/CPPHB/cppref.txt_with-big-pictures.html) - Бьерн Страуструп
* [Уроки по OpenGL 3](https://code.google.com/archive/p/gl33lessons/) - Гуревич Артём


### Clojure

* [Введение в Clojure](http://alexott.net/ru/clojure/clojure-intro) - Алексей Отт


### CoffeeScript

* [The Little Book on CoffeeScript](https://github.com/andrew--r/the-little-book-on-coffeescript) - перевод Андрея Романова
* [Документация CoffeeScript](http://cidocs.ru/coffeescript) - Jeremy Ashkenas


### Elasticsearch

* [Уроки по Elasticsearch](https://codedzen.ru/category/uroki/elasticsearch)


### Elixir

* [Уроки программирования на языке Elixir](http://elixirschool.com/ru)


### Erlang

* [Программирование на Эрланге](https://github.com/dyp2000/Russian-Armstrong-Erlang) - Джо Армстронг


### Git

* [Pro Git](http://git-scm.com/book/ru/v2)
* [Волшебство Git](http://www-cs-students.stanford.edu/~blynn/gitmagic/intl/ru) - Ben Lynn
* [Простое руководство по работе с Git](http://rogerdudler.github.io/git-guide/index.ru.html)
* [Руководство по Git](http://proselyte.net/tutorials/git) - Евгений Сулейманов


### Go

* [Go в примерах](https://gobyexample.ru)
* [The Little Go Book (перевод)](https://sefus.ru/little-go-book)
* [Введение в программирование на Go](http://golang-book.ru) - Калеб Докси
* [Руководство по языку Go](https://metanit.com/go/tutorial) - Евгений Попов
* [Эффективный Go](https://github.com/Konstantin8105/Effective_Go_RU)


### Haskell

* [Developing Web Applications with Haskell and Yesod](https://bitbucket.org/darkus/yesod/downloads) - Майкл Сноймен
* [Haskell: введение в функциональное программирование](https://wiki.nsunc.com/_export/html/haskell) - В.Н. Власов
* [О Haskell по-человечески](https://www.ohaskell.guide) - Денис Шевченко
* [Учебник по Haskell](http://anton-k.github.io/ru-haskell-book/book/home.html) - Антон Холомьёв
* [Язык и библиотеки Haskell 98](http://www.haskell.ru) - Simon Peyton Jones
* [Язык программирования Haskell: Учимся быть ленивыми](https://github.com/Number571/Haskell/tree/master/Book) - Г. Коваленко


### HTML / CSS

* [CSS и CSS3](https://html5book.ru/css-css3) - Елена Назарова
* [HTML и HTML5](https://html5book.ru/html-html5) - Елена Назарова
* [Руководство по HTML5 и CSS3](https://metanit.com/web/html5) - Евгений Попов
* [Справочник CSS](http://htmlbook.ru/css) - Влад Мержевич
* [Справочник по HTML](http://htmlbook.ru/html) - Влад Мержевич


#### Bootstrap

* [Bootstrap 4](http://getbootstrap.ru/docs/v4-alpha)


### Java

* [Java Basics](http://www.fandroid.info/tutorial-po-osnovam-yazyka-programmirovaniya-java-dlya-nachinayushhih/)
* [Java Programming for Kids, Parents and Grandparents](http://myflex.org/books/java4kids/java4kids.htm) - Yakov Fain
* [Руководство по Java Core](http://proselyte.net/tutorials/java-core) - Евгений Сулейманов
* [Руководство по Servlets](http://proselyte.net/tutorials/servlets) - Евгений Сулейманов
* [Руководство по языку программирования Java](https://metanit.com/java/tutorial) - Евгений Попов
* [Самоучитель по Java с нуля](https://vertex-academy.com/tutorials/ru/samouchitel-po-java-s-nulya/) - Vertex Academy
* [Собеседование по Java Core](http://javastudy.ru/interview/list-of-question-java-interview)
* [Собеседование по Java EE](http://javastudy.ru/interview/list-of-questions-javaee-interview)
* [Учебник Java 8](https://urvanov.ru/2016/03/23/%D1%83%D1%87%D0%B5%D0%B1%D0%BD%D0%B8%D0%BA-java-8) - Фёдор Урванов
* [Учебник по Java 8](https://vertex-academy.com/tutorials/ru/java-8-uchebnik/) - Vertex Academy
* [Учебник по Java 9](https://vertex-academy.com/tutorials/ru/java-9-uchebnik-teoriya-primery/) - Vertex Academy
* [Язык Java 8](https://easyjava.ru/java/yazyk-java/)


#### Android

* [Программирование под Android](https://metanit.com/java/android) - Евгений Попов
* [Уроки по Android](http://startandroid.ru/ru/uroki/vse-uroki-spiskom.html)


#### EasyMock

* [EasyMock 3](https://easyjava.ru/testirovanie/easymock/)


#### Hibernate

* [Hibernate](https://easyjava.ru/data/hibernate/)
* [Руководство по Hibernate](http://proselyte.net/tutorials/hibernate-tutorial) - Евгений Сулейманов


#### JDBC

* [JDBC и Spring JDBC](https://easyjava.ru/data/jdbc/)
* [Руководство по JDBC](http://proselyte.net/tutorials/jdbc) - Евгений Сулейманов


#### JUnit

* [JUnit 4](https://easyjava.ru/testirovanie/junit-2/)
* [Руководство по JUnit](http://proselyte.net/tutorials/junit) - Евгений Сулейманов


#### Maven

* [Apache Maven](https://easyjava.ru/ekosistema/sredstva-sborki/apache-maven/)
* [Руководство по Maven](http://proselyte.net/tutorials/maven) - Евгений Сулейманов


#### Spring

* [Spring Framework](https://easyjava.ru/spring/)
* [Руководство по Spring](http://proselyte.net/tutorials/spring-tutorial-full-version) - Евгений Сулейманов


### JavaScript

* [JavaScript Garden](http://bonsaiden.github.io/JavaScript-Garden/ru) - Иво Ветцель
* [JavaScript и jQuery](https://html5book.ru/javascript-jquery) - Елена Назарова
* [Выразительный JavaScript](https://github.com/karmazzin/eloquentjavascript_ru) - Marijn Haverbeke
* [Курс современного JavaScript](https://bxnotes.ru/conspect/kurs-sovremennogo-javascript/) - bxnotes
* [Онлайн-книга по WebGL](https://metanit.com/web/webgl) - Евгений Попов
* [Паттерны для масштабируемых JavaScript-приложений](http://largescalejs.ru) - Эдди Османи
* [Руководство по JavaScript](https://metanit.com/web/javascript) - Евгений Попов
* [Современный учебник JavaScript](http://learn.javascript.ru) - Илья Кантор


#### AngularJS

* [Онлайн-руководство по AngularJS](https://metanit.com/web/angular) - Евгений Попов
* [Перевод документации](http://angular-doc.herokuapp.com)
* [Русская версия документация Angular 10](https://angular24.ru/start) - Алексей Охрименко


#### jQuery

* [jQuery для начинающих](http://anton.shevchuk.name/jquery-book) - Антон Шевчук
* [Онлайн-книга "Изучаем jQuery"](https://metanit.com/web/jquery) - Евгений Попов
* [Русская документация по API jQuery](https://jquery-docs.ru)


#### Node.js

* [Node.js для начинающих](http://nodebeginner.ru) - Manuel Kiessling
* [Руководство по Node.js](https://metanit.com/web/nodejs) - Евгений Попов


#### Nuxt.js

* [Перевод документации](https://ru.nuxtjs.org)


#### React

* [Перевод документации](https://learn-reactjs.ru/home)
* [Путь к изучению React](https://leanpub.com/the-road-to-learn-react-russian) - Алексей Пыльцын (PDF, ePub, MOBI) *(Требуется аккаунт на Leanpub или действительный адрес электронной почты)*
* [Руководство по React](https://metanit.com/web/react) - Евгений Попов
* [Уроки по React](https://codedzen.ru/category/uroki/react)
* [Учебник по фреймворку React](http://old.code.mu/books/advanced/javascript/react/) 


#### Vue.js

* [Перевод документации](https://ru.vuejs.org)
* [Руководство по Vue.js](https://metanit.com/web/vuejs) - Евгений Попов


### Kotlin

* [Руководство по языку Kotlin](http://kotlinlang.ru)
* [Руководство по языку Kotlin](https://metanit.com/java/kotlin) - Евгений Попов


### LaTeX

* [LaTeX, GNU/Linux и русский стиль (сборник статей)](http://www.inp.nsk.su/~baldin/LaTeX/index.html)
* [LaTeX за три дня](http://www.stolyarov.info/books/pdf/latex3days.pdf) - Андрей Столяров (PDF)


### Lisp

* [Common Lisp Cookbook (перевод)](http://lisper.ru/wiki/Cookbook)
* [Lisp In Small Pieces (translation)](https://github.com/ilammy/lisp)
* [Practical Common Lisp (перевод)](http://lisper.ru/pcl/) (PDF)


### MetaPost

* [Создание иллюстраций в MetaPost](http://www.inp.nsk.su/~baldin/mpost/index.html)


### .NET

* [Руководство по ADO.NET и работе с базами данных](https://metanit.com/sharp/adonet) - Евгений Попов
* [Руководство по ASP.NET Core 2.0](https://metanit.com/sharp/aspnet5) - Евгений Попов
* [Руководство по ASP.NET MVC 5](https://metanit.com/sharp/mvc5) - Евгений Попов
* [Руководство по ASP.NET Web API 2](https://metanit.com/sharp/aspnet_webapi) - Евгений Попов
* [Руководство по EF Core](https://metanit.com/sharp/entityframeworkcore) - Евгений Попов
* [Руководство по Entity Framework](https://metanit.com/sharp/entityframework) - Евгений Попов


### NoSQL

* [Маленькая книга о MongoDB](http://www.pvsm.ru/download/mongodb-ru.pdf) - Карл Сегуин (PDF)
* [Маленькая книга о Redis](https://github.com/kondratovich/the-little-redis-book/blob/master/ru/redis.md) - Карл Сегуин
* [Руководство по MongoDB](http://proselyte.net/tutorials/mongodb) - Евгений Сулейманов


### Objective-C

* [Become an XCoder](https://yadi.sk/d/ugz7jW4RXLGTN)
* [Хрестоматия iOS паттернов](https://maleevdimka.files.wordpress.com/2013/04/ios-patterns-cliff-notes2.pdf) (PDF)
* [Цикл статей разработки под Apple iOS](http://habrahabr.ru/post/149090/)


### Perl

* [Pragmatic Perl](http://pragmaticperl.com) - журнал
* [Введение в Perl](http://www.opennet.ru/docs/RUS/perl-maslov/) - Маслов Владимир Викторович
* [Краткий экскурс в Perl-программирование](http://www.opennet.ru/docs/RUS/perl_help/) - Докучаев Дмитрий


### PHP

* [PHP: Правильный Путь](http://getjump.github.io/ru-php-the-right-way)
* [Руководство по PHP](http://docs.php.net/manual/ru)
* [Руководство по PHPUnit](https://phpunit.readthedocs.io/ru/latest/)
* [Самоучитель (учебник) по PHP](http://www.php-s.ru/self-teacher)


#### CakePHP

* [Руководство](https://book.cakephp.org/3.0/ru/index.html)


#### CodeIgniter

* [CodeIgniter](http://codeigniter3.info) - Игорь Букша


#### Laravel

* [Документация 5.x](https://laravel.ru/docs/v5)
* [Перевод документации](http://laravel.su/docs)


#### Symfony

* [Symfony 5. Быстрый старт](https://symfony.com/doc/5.0/the-fast-track/ru/index.html)


### Python

* [Problem Solving with Algorithms and Data Structures](https://aliev.github.io/runestone)
* [Python. unittest](https://devpractice.ru/book-python-unittest) - Абдрахманов М.И
* [Python. Введение в объектно-ориентированное программирование](https://younglinux.info/oopython.php) - C. Шапошникова
* [Python. Введение в программирование](https://younglinux.info/python.php) - C. Шапошникова
* [Python. Уроки](https://devpractice.ru/book-python-lessons) - Абдрахманов М.И.
* [Tkinter. Программирование графического интерфейса](https://younglinux.info/tkinter.php) - C. Шапошникова
* [Вглубь языка Python](http://ru.diveintopython.net/toc.html)
* [Основы программирования на Python](http://dfedorov.spb.ru/python3) - Дмитрий Фёдоров (PDF)
* [Руководство по языку программирования Python](https://metanit.com/python/tutorial) - Евгений Попов
* [Самоучитель Python](https://pythonworld.ru/samouchitel-python) (PDF)
* [Укус Питона](http://wombat.org.ua/AByteOfPython) - Swaroop C H
* [Учебник Python 2.6](https://ru.wikibooks.org/wiki/Учебник_Python_2.6) - Викиучебник


#### Django

* [Руководство Django Girls](https://tutorial.djangogirls.org/ru) (1.11) (HTML) (:construction: *в процессе написания*)
* [Руководство по веб-фреймворку Django](https://metanit.com/python/django) - Евгений Попов


### R

* [Анализ данных с R](http://www.inp.nsk.su/~baldin/DataAnalysis/index.html)
* [Рандомизация и бутстреп: статистический анализ в биологии и экологии с использованием R.](http://www.ievbras.ru/ecostat/Kiril/Article/A32/Starb.pdf) (PDF)


### Reverse engineering

* [Введение в reverse engineering для начинающих](https://beginners.re/RE4B-RU.pdf) - Денис Юричев (PDF)


### Ruby

* [Ruby](https://ru.wikibooks.org/wiki/Ruby) - Викиучебник
* [Ruby Book](https://github.com/Krugloff/rus_ruby_book) - Круглов А.
* [Ruby за двадцать минут](https://www.ruby-lang.org/ru/documentation/quickstart)
* [Руководство пользователя](http://linux.yaroslavl.ru/docs/prog/ruby.html) - matz
* [Учись программировать](http://www.shokhirev.com/mikhail/ruby/ltp/title.html) - Крис Пайн


#### RSpec

* [Better Specs (RSpec Guidelines with Ruby)](http://betterspecs.org/ru)


#### Ruby on Rails

* [Ruby on Rails Tutorial. Изучение Rails на Примерах](http://railstutorial.ru/chapters/4_0/beginning) Майкл Хартл
* [Ruby on Rails по-русски](http://rusrails.ru)


### Rust

* [Rust на примерах](https://rurust.github.io/rust-by-example-ru)
* [Растономикон](https://github.com/ruRust/rustonomicon)
* [Язык программирования Rust](http://rurust.github.io/rust_book_ru)


### Scala

* [Effective Scala](http://twitter.github.io/effectivescala/index-ru.html) - Marius Eriksen
* [Scala Школа!](http://twitter.github.io/scala_school/ru) - Twitter
* [Путеводитель неофита по Scala (перевод серии статей Даниеля Вестсайда)](https://github.com/anton-k/ru-neophyte-guide-to-scala) - Антон Холомьёв
* [Руководство по Scala](http://proselyte.net/tutorials/scala) - Евгений Сулейманов


### Scilab

* [Введение в Scilab](http://forge.scilab.org/index.php/p/docintrotoscilab/downloads)
* [Программирование в Scilab](http://forge.scilab.org/index.php/p/docprogscilab/downloads)


### Scratch

* [Креативное программирование](https://www.dropbox.com/s/qsthpk5r6gqmi6u/CreativeComputing_RUS_june2016.pdf?dl=0) (PDF)


### Smalltalk

* [Смолток: Язык и его реализация](https://sites.google.com/site/polyglotsqueak) - Адэль Голдберг, Дэвид Робсон


### SQL

* [Работа с MySQL, MS SQL Server и Oracle в примерах](http://svyatoslav.biz/database_book/) - Святослав Куликов (PDF)
* [Руководство по MS SQL Server 2017](https://metanit.com/sql/sqlserver) - Евгений Попов
* [Руководство по SQL](http://proselyte.net/tutorials/sql) - Евгений Сулейманов
* [Язык SQL. Базовый курс](https://postgrespro.ru/education/books/sqlprimer) (PDF)


#### PostgreSQL

* [PostgreSQL для начинающих](https://postgrespro.ru/education/books/introbook) (PDF)
* [Документация](https://postgrespro.ru/docs/postgresql) (PDF)
* [История о PostgreSQL](http://www.inp.nsk.su/~baldin/PostgreSQL/index.html) - Linux Format
* [Работа с PostgreSQL - настройка и масштабирование](http://postgresql.leopard.in.ua) - А. Ю. Васильев


### Swift

* [Documentation](https://swift.org/documentation)
* [Документация и туториалы](https://swiftbook.ru)


### TypeScript

* [Перевод официальной документации Typescript](http://typescript-lang.ru/docs/index.html)
* [Руководство по TypeScript](https://metanit.com/web/typescript) - Евгений Попов


### Unix

* [Beyond Linux From Scratch (version 2011-12-30)](http://rus-linux.net/nlib.php?name=/MyLDP/BOOKS/BLFS-ru/blfs-ru-index.html)
* [Linux From Scratch (version 6.8)](http://rus-linux.net/nlib.php?name=/MyLDP/BOOKS/LFS-BOOK-6.8-ru/lfs-6.8-ru-index.html)
* [The Linux Kernel Module Programming Guide](http://www.opennet.ru/docs/RUS/lkmpg26) - Peter Jay Salzman, Michael Burian, Ori Pomerantz
* [Архитектура операционной системы Unix](http://lib.ru/BACH) - Maurice J. Bach
* [Введение в Linux. Руководство по работе](https://younglinux.info/linuxintro) - Machtelt Garrels
* [Введение в системное администрирование UNIX](http://lib.ru/unixhelp) - Мошков Максим Евгеньевич
* [Внутреннее устройство Ядра Linux 2.4](http://www.opennet.ru/docs/RUS/lki) - Tigran Aivazian
* [Перевод Linux kernel and C library.](http://man-pages-ru.sourceforge.net)
* [Программирование в Linux с нуля](http://www.opennet.ru/docs/RUS/zlp) - Nikolay N. Ivanov
* [Руководство программиста для Linux](http://www.opennet.ru/docs/RUS/Lpg) - Sven Goldt, Matt Welsh
* [Энциклопедия программиста Linux](http://www.opennet.ru/docs/RUS/lpg) - Алексей Паутов
* [Энциклопедия разработчика модулей ядра Linux](http://www.opennet.ru/docs/RUS/lkmpg) - Ori Pomerantz


### Vim

* [Поваренная Книга Vim](http://www.opennet.ru/docs/RUS/vim_cookbook) - Steve Oualline
* [Просто о Vim](http://rus-linux.net/MyLDP/BOOKS/Vim/prosto-o-vim.pdf) (PDF)
